Jump to content

A few JVMs for you to play with...


Guest badbob001
 Share

Recommended Posts

Guest badbob001

The original shadow rom has jvm: jeodek 2007.0806.2.1

The new shadow rom has jvm: jeodek 20071129.2.1

Neither supports a tzone (proxy) connection so they are useless to me. There are some newer and alternative jvms you can install to get better functionality. JVMs are better explained elsewhere: http://www.modaco.com/content/Smartphone-G...le/#entry879149.

Recently there had been a bunch of newer JVMs, namely the jbed version, that popped up that claim better performance and compatibility. This post is to make you aware of those new versions.

I'm going to focus on the jbed jvm because it's said to be very compatible and reliable. It works great with Opera Mini for full screen browsing and there are hacks to allow you to create a direct-launch shortcut to opera mini, disable the permission prompts, and make opera mini the default system browser for links.

http://pdaphonehome.com/forums/ppc-6800-xv...et-manager.html

http://eazyvg.wordpress.com/2007/12/05/ope...efault-browser/

One issue with jbed is, at least on my shadow, a small part of the bottom of the screen will get cut off for non-full screen applications, such as the gmail app, so that may cause some problems. Opera mini is a full screen app so that works fine.

* Jbed 20070802.2.1 (cloudyfa)

This good old standby version of jbed works great.

+supports proxy connection

*Original link: http://forum.xda-developers.com/showpost.p...mp;postcount=24

*Original filename: Jbed.zip

*Attached here: Jbed_20070802.2.1_cloudyfa_.rar

* Jbed 20071119.3.1 (jrebeiro)

I don't know much about this newer and bigger version of jbed. I think it's suppose to support 3d apps.

+supports proxy connection

+3d app support (info)

*Original link: http://forum.ppcgeeks.com/showpost.php?p=1...mp;postcount=10

*Original filename: JRebeiro_EsmertecJbed_20071119.3.1.zip

*Attached here: Jbed_20071119.3.1_jrebeiro_.rar

Then from this site (info), someone called lovetz1 started posting hacked versions of jbed that claim:

+no permission prompting

+3d support

+larger heap size (I guess that improves performance)

+local disk read/write access for JVM

+installs in separate folder, even storage card, so existing jbed is not affected

I'm not sure if these came from another site. They may originate from someone called giris, but it could be multiple people. Please correct my info.

The first version posted was:

* JBed 20070524.2.1 hacked

It's based on a version of jbed that is older than cloudyfa's. It has all the +'s of the hacked versions but it doesn't support a proxy connection. After install, you have to copy JbedRes.dll to where it installed, for, I assume, 3d support.

*Original link: http://www.pda4x.com/read.php?tid=59304

*Original filename: JBed3dMod_HeapSizeFix_020108cab.rar

*Attached here: JBed_20070524.2.1_3dMod_HeapSizeFix_v1_lovetz1_.rar

*Cab components list (via msceinf http://www.modaco.com/index.php?s=&sho...t&p=860113) v1.txt

The same version was also posted at allshadows: http://allshadow.com/forum/viewtopic.php?f...&hilit=jbed

Later, the poster was made aware of jrebeiro's 3.1 version and started posting hacked versions of those:

* JBed_20071119.3.1 hacked for wm6

Like the original 3.1 version, this has proxy support as well as all the hacked features. I don't know exactly what made this 'for wm6', but there are some slight registry setting differences in the cab compared to the wm5 version, which I is below. With this installed, this version was correctly invoked when I downloaded a .jar/..jad file.

*Original link: http://www.pda4x.com/read.php?tid=59304

*Original filename: JBed3dMod_HeapSizeFix_12.02.2008.rar

*Attached here: JBed_20071119.3.1_3dMod_HeapSizeFix_v2_wm6_lovetz1_.rar

*Cab components list: v2.txt

Later, another version was posted and was said for wm5 devices:

* JBed_20071119.3.1 hacked for wm5

It has all the features of the previous version. I believe the main difference is with how it's configured to be the default jvm for .jad/.jar files. On my shadow, after installing this, when I downloaded a .jar/.jad, my os's default jeodek jvm was invoked instead of this new one. Perhaps it'll work better on a wm5 device?

*Original link: http://www.pda4x.com/read.php?tid=59304

*Original filename: JBed3dMod_HeapSizeFix_17.02.2008_TEST.zip

*Attached here: JBed_20071119.3.1_3dMod_HeapSizeFix_v3_wm5_lovetz1_.rar

*Cab components list: v3.txt

Hope that is useful. I only use opera mini so it's up to YOU to find all the new stuff. I'm going to stick with JBed_20071119.3.1 hacked for wm6.

Edited by badbob001
Link to comment
Share on other sites

Guest gbenrus25
I'm going to stick with JBed_20071119.3.1 hacked for wm6.

is it really better and faster than cloudyfa's? only wanna upgrade if it's worth it. Thx.

Link to comment
Share on other sites

Guest badbob001
is it really better and faster than cloudyfa's? only wanna upgrade if it's worth it. Thx.

Not really sure. Depending on what apps you use, it's possible 3.1 is slower than 2.1. The application size of 3. 1 is much bigger compared to 3.1. It would be ideal if someone would hack cloudyfa's 2.1 with the hacked features to give us a light-weight alternative jvm.

Link to comment
Share on other sites

  • 1 month later...
Guest Megalomac
Hope that is useful. I only use opera mini so it's up to YOU to find all the new stuff. I'm going to stick with JBed_20071119.3.1 hacked for wm6.

Thanks to your post, I now have 2 Jbed versions on my Shadow. The Jbed 20070802.2.1 (cloudyfa) and the JBed_20071119.3.1 hacked for wm6.

How can you tell which Jbed version my apps are using? I had created direct links to each app, including Opera Mini, and they still work the same as before I added the 3.1 version. Also, in the Start menu, no java apps are found under 3.1, but several are found under the 2.1 version.

So I don't know if these apps are still running 2.1 or 3.1...though I assume they're still pointed to 2.1 somehow. Btw, Opera Mini 4.1 beta works great on the Shadow!

Mac

Link to comment
Share on other sites

Guest Menneisyys
Thanks to your post, I now have 2 Jbed versions on my Shadow. The Jbed 20070802.2.1 (cloudyfa) and the JBed_20071119.3.1 hacked for wm6.

How can you tell which Jbed version my apps are using? I had created direct links to each app, including Opera Mini, and they still work the same as before I added the 3.1 version. Also, in the Start menu, no java apps are found under 3.1, but several are found under the 2.1 version.

So I don't know if these apps are still running 2.1 or 3.1...though I assume they're still pointed to 2.1 somehow. Btw, Opera Mini 4.1 beta works great on the Shadow!

Mac

Menu / About

Link to comment
Share on other sites

  • 1 year later...
Guest pirlouwi

I want to run a midlet that tries to capture audio, on my HTC : see NoiseTube.net to see this applet.

Problem is that even with JBed_20071119.3.1_3dMod_HeapSizeFix_v2_wm6_lovetz1 KVM, I get the error:

"No support for audio capturing in the application." :D

My question is the following: is the Audio capture brought by the running JBed, or by something else that I have to install?

In other words, is there a chance to be able to capture audio in a Midlet, if I use another KVM?

Louis

Link to comment
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
 Share

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.